hello,

from my notes:
SL / CentOS_6_PHP56 + owncloud-8.2.0-4.1

Run the following shell commands as root to trust the repository.

rpm --import https://download.owncloud.org/download/repositories/8.2/CentOS_6_PHP56/repodata/repomd.xml.key

Run the following shell commands as root to add the repository and install from there.

yum install -y https://www.softwarecollections.org/en/scls/rhscl/rh-php56/epel-6-x86_64/download/rhscl-rh-php56-epel-6-x86_64.noarch.rpm yum install -y https://www.softwarecollections.org/en/scls/rhscl/httpd24/epel-6-x86_64/download/rhscl-httpd24-epel-6-x86_64.noarch.rpm wget http://download.owncloud.org/download/repositories/8.2/CentOS_6_PHP56/ce:8.2.repo -O /etc/yum.repos.d/ce:8.2.repo
yum clean expire-cache
yum install owncloud


--
*Karel Lang*
*Unix/Linux Administration*
l...@afd.cz | +420 731 13 40 40
AUFEER DESIGN, s.r.o. | www.aufeerdesign.cz

On 04/08/2016 03:46 PM, Jim Campbell wrote:
Hello,

On Fri, Apr 8, 2016, at 07:40 AM, Stephan Wiesand wrote:
On 08 Apr 2016, at 14:22, Ralf Farke <fa...@wi.uni-muenster.de> wrote:

Hi,
i need php 5.6 for my Owncloud Server 9, installed is 5.4.16 from @sl-security.
I installed the repos epel and webtatic.
If i try to install php 5.6w i get the error:
php56w-common conflicts with php-common-5.4.16-36.el7_1.x86_64.
When i try to delete php 5.4 i get a lot of Software to delete because of 
dependencies, so this is not a solution.

Any suggestions?

rh-php56 from external_products/softwarecollections?


Greetings,

Ralf Farke

I would agree with Stephan's suggestion, and suggest using Software
Collections, as well. One of the Scientific Linux maintainers, Bonnie
King, gave a talk on using Software Collections at our GNU/Linux User
Group a few years ago. The slides are here [1], and they include some
SL-specific commands to get Software Collections installed & some info
on using them.

Cheers,

Jim

[1]
https://mediagoblin.chicagolug.org/u/chicagolug/m/rh-software-collections/

Reply via email to